Index: uspace/lib/c/generic/bd_srv.c
===================================================================
--- uspace/lib/c/generic/bd_srv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/bd_srv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
 	void *buf;
 	size_t size;
-	errno_t rc;
+	int rc;
 	ipc_callid_t rcallid;
 
@@ -95,5 +95,5 @@
 	void *buf;
 	size_t size;
-	errno_t rc;
+	int rc;
 	ipc_callid_t rcallid;
 
@@ -138,5 +138,5 @@
 	aoff64_t ba;
 	size_t cnt;
-	errno_t rc;
+	int rc;
 
 	ba = MERGE_LOUP32(IPC_GET_ARG1(*call), IPC_GET_ARG2(*call));
@@ -159,5 +159,5 @@
 	void *data;
 	size_t size;
-	errno_t rc;
+	int rc;
 
 	ba = MERGE_LOUP32(IPC_GET_ARG1(*call), IPC_GET_ARG2(*call));
@@ -183,5 +183,5 @@
     ipc_call_t *call)
 {
-	errno_t rc;
+	int rc;
 	size_t block_size;
 
@@ -198,5 +198,5 @@
     ipc_call_t *call)
 {
-	errno_t rc;
+	int rc;
 	aoff64_t num_blocks;
 
@@ -228,8 +228,8 @@
 }
 
-errno_t bd_conn(ipc_callid_t iid, ipc_call_t *icall, bd_srvs_t *srvs)
+int bd_conn(ipc_callid_t iid, ipc_call_t *icall, bd_srvs_t *srvs)
 {
 	bd_srv_t *srv;
-	errno_t rc;
+	int rc;
 
 	/* Accept the connection */
Index: uspace/lib/c/generic/cap.c
===================================================================
--- uspace/lib/c/generic/cap.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/cap.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -81,5 +81,5 @@
  * and @c cv_max gives the maximum value.
  */
-errno_t cap_to_blocks(cap_spec_t *cap, cap_vsel_t cvsel, size_t block_size,
+int cap_to_blocks(cap_spec_t *cap, cap_vsel_t cvsel, size_t block_size,
     uint64_t *rblocks)
 {
@@ -90,5 +90,5 @@
 	uint64_t blocks;
 	uint64_t rem;
-	errno_t rc;
+	int rc;
 
 	exp = cap->cunit * 3 - cap->dp;
@@ -144,5 +144,5 @@
 	unsigned sdig;
 	unsigned rdig;
-	errno_t rc;
+	int rc;
 
 	/* Change units so that we have at most @c scap_max_idig integer digits */
@@ -175,8 +175,7 @@
 }
 
-errno_t cap_format(cap_spec_t *cap, char **rstr)
-{
-	errno_t rc;
-	int ret;
+int cap_format(cap_spec_t *cap, char **rstr)
+{
+	int rc;
 	const char *sunit;
 	uint64_t ipart;
@@ -197,10 +196,10 @@
 	sunit = cu_str[cap->cunit];
 	if (cap->dp > 0) {
-		ret = asprintf(rstr, "%" PRIu64 ".%0*" PRIu64 " %s", ipart,
+		rc = asprintf(rstr, "%" PRIu64 ".%0*" PRIu64 " %s", ipart,
 		    (int)cap->dp, fpart, sunit);
 	} else {
-		ret = asprintf(rstr, "%" PRIu64 " %s", ipart, sunit);
-	}
-	if (ret < 0)
+		rc = asprintf(rstr, "%" PRIu64 " %s", ipart, sunit);
+	}
+	if (rc < 0)
 		return ENOMEM;
 
@@ -208,5 +207,5 @@
 }
 
-static errno_t cap_digit_val(char c, int *val)
+static int cap_digit_val(char c, int *val)
 {
 	switch (c) {
@@ -228,5 +227,5 @@
 }
 
-errno_t cap_parse(const char *str, cap_spec_t *cap)
+int cap_parse(const char *str, cap_spec_t *cap)
 {
 	const char *eptr;
Index: uspace/lib/c/generic/clipboard.c
===================================================================
--- uspace/lib/c/generic/clipboard.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/clipboard.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,5 +59,5 @@
 {
 	service_id_t sid;
-	errno_t rc;
+	int rc;
 	
 	fibril_mutex_lock(&clip_mutex);
@@ -95,8 +95,8 @@
  * @param str String to put to clipboard or NULL.
  *
- * @return Zero on success or an error code.
- *
- */
-errno_t clipboard_put_str(const char *str)
+ * @return Zero on success or negative error code.
+ *
+ */
+int clipboard_put_str(const char *str)
 {
 	size_t size = str_size(str);
@@ -104,28 +104,28 @@
 	if (size == 0) {
 		async_exch_t *exch = clip_exchange_begin();
-		errno_t rc = async_req_1_0(exch, CLIPBOARD_PUT_DATA,
+		sysarg_t rc = async_req_1_0(exch, CLIPBOARD_PUT_DATA,
 		    CLIPBOARD_TAG_NONE);
 		clip_exchange_end(exch);
 		
-		return (errno_t) rc;
+		return (int) rc;
 	} else {
 		async_exch_t *exch = clip_exchange_begin();
 		aid_t req = async_send_1(exch, CLIPBOARD_PUT_DATA, CLIPBOARD_TAG_DATA,
 		    NULL);
-		errno_t rc = async_data_write_start(exch, (void *) str, size);
+		sysarg_t rc = async_data_write_start(exch, (void *) str, size);
 		clip_exchange_end(exch);
 		
 		if (rc != EOK) {
-			errno_t rc_orig;
+			sysarg_t rc_orig;
 			async_wait_for(req, &rc_orig);
 			if (rc_orig == EOK)
-				return (errno_t) rc;
+				return (int) rc;
 			else
-				return (errno_t) rc_orig;
+				return (int) rc_orig;
 		}
 		
 		async_wait_for(req, &rc);
 		
-		return (errno_t) rc;
+		return (int) rc;
 	}
 }
@@ -137,8 +137,8 @@
  * @param str Here pointer to the newly allocated string is stored.
  *
- * @return Zero on success or an error code.
- *
- */
-errno_t clipboard_get_str(char **str)
+ * @return Zero on success or negative error code.
+ *
+ */
+int clipboard_get_str(char **str)
 {
 	/* Loop until clipboard read succesful */
@@ -148,10 +148,10 @@
 		sysarg_t size;
 		sysarg_t tag;
-		errno_t rc = async_req_0_2(exch, CLIPBOARD_CONTENT, &size, &tag);
+		sysarg_t rc = async_req_0_2(exch, CLIPBOARD_CONTENT, &size, &tag);
 		
 		clip_exchange_end(exch);
 		
 		if (rc != EOK)
-			return (errno_t) rc;
+			return (int) rc;
 		
 		char *sbuf;
@@ -176,5 +176,5 @@
 			clip_exchange_end(exch);
 			
-			if ((errno_t) rc == EOVERFLOW) {
+			if ((int) rc == EOVERFLOW) {
 				/*
 				 * The data in the clipboard has changed since
@@ -185,10 +185,10 @@
 			
 			if (rc != EOK) {
-				errno_t rc_orig;
+				sysarg_t rc_orig;
 				async_wait_for(req, &rc_orig);
 				if (rc_orig == EOK)
-					return (errno_t) rc;
+					return (int) rc;
 				else
-					return (errno_t) rc_orig;
+					return (int) rc_orig;
 			}
 			
Index: uspace/lib/c/generic/corecfg.c
===================================================================
--- uspace/lib/c/generic/corecfg.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/corecfg.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,8 +38,8 @@
 static async_sess_t *corecfg_sess = NULL;
 
-errno_t corecfg_init(void)
+int corecfg_init(void)
 {
 	service_id_t corecfg_svc;
-	errno_t rc;
+	int rc;
 
 	assert(corecfg_sess == NULL);
@@ -59,10 +59,10 @@
 
 /** Get core dump enable status. */
-errno_t corecfg_get_enable(bool *renable)
+int corecfg_get_enable(bool *renable)
 {
 	async_exch_t *exch = async_exchange_begin(corecfg_sess);
 	sysarg_t enable;
 
-	errno_t rc = async_req_0_1(exch, CORECFG_GET_ENABLE, &enable);
+	int rc = async_req_0_1(exch, CORECFG_GET_ENABLE, &enable);
 
 	async_exchange_end(exch);
@@ -76,8 +76,8 @@
 
 /** Enable or disable core dumps. */
-errno_t corecfg_set_enable(bool enable)
+int corecfg_set_enable(bool enable)
 {
 	async_exch_t *exch = async_exchange_begin(corecfg_sess);
-	errno_t rc = async_req_1_0(exch, CORECFG_SET_ENABLE, (sysarg_t) enable);
+	int rc = async_req_1_0(exch, CORECFG_SET_ENABLE, (sysarg_t) enable);
 
 	async_exchange_end(exch);
Index: uspace/lib/c/generic/ddi.c
===================================================================
--- uspace/lib/c/generic/ddi.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/ddi.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -69,7 +69,7 @@
  *
  */
-errno_t physmem_map(uintptr_t phys, size_t pages, unsigned int flags, void **virt)
-{
-	return (errno_t) __SYSCALL5(SYS_PHYSMEM_MAP, (sysarg_t) phys,
+int physmem_map(uintptr_t phys, size_t pages, unsigned int flags, void **virt)
+{
+	return __SYSCALL5(SYS_PHYSMEM_MAP, (sysarg_t) phys,
 	    pages, flags, (sysarg_t) virt, (sysarg_t) __entry);
 }
@@ -85,7 +85,7 @@
  *
  */
-errno_t physmem_unmap(void *virt)
-{
-	return (errno_t) __SYSCALL1(SYS_PHYSMEM_UNMAP, (sysarg_t) virt);
+int physmem_unmap(void *virt)
+{
+	return __SYSCALL1(SYS_PHYSMEM_UNMAP, (sysarg_t) virt);
 }
 
@@ -110,8 +110,8 @@
  *
  */
-errno_t dmamem_map(void *virt, size_t size, unsigned int map_flags,
+int dmamem_map(void *virt, size_t size, unsigned int map_flags,
     unsigned int flags, uintptr_t *phys)
 {
-	return (errno_t) __SYSCALL6(SYS_DMAMEM_MAP, (sysarg_t) size,
+	return (int) __SYSCALL6(SYS_DMAMEM_MAP, (sysarg_t) size,
 	    (sysarg_t) map_flags, (sysarg_t) flags & ~DMAMEM_FLAGS_ANONYMOUS,
 	    (sysarg_t) phys, (sysarg_t) virt, 0);
@@ -138,22 +138,22 @@
  *
  */
-errno_t dmamem_map_anonymous(size_t size, uintptr_t constraint,
+int dmamem_map_anonymous(size_t size, uintptr_t constraint,
     unsigned int map_flags, unsigned int flags, uintptr_t *phys, void **virt)
 {
 	*phys = constraint;
 	
-	return (errno_t) __SYSCALL6(SYS_DMAMEM_MAP, (sysarg_t) size,
+	return (int) __SYSCALL6(SYS_DMAMEM_MAP, (sysarg_t) size,
 	    (sysarg_t) map_flags, (sysarg_t) flags | DMAMEM_FLAGS_ANONYMOUS,
 	    (sysarg_t) phys, (sysarg_t) virt, (sysarg_t) __entry);
 }
 
-errno_t dmamem_unmap(void *virt, size_t size)
-{
-	return (errno_t) __SYSCALL3(SYS_DMAMEM_UNMAP, (sysarg_t) virt, (sysarg_t) size, 0);
-}
-
-errno_t dmamem_unmap_anonymous(void *virt)
-{
-	return (errno_t) __SYSCALL3(SYS_DMAMEM_UNMAP, (sysarg_t) virt, 0,
+int dmamem_unmap(void *virt, size_t size)
+{
+	return __SYSCALL3(SYS_DMAMEM_UNMAP, (sysarg_t) virt, (sysarg_t) size, 0);
+}
+
+int dmamem_unmap_anonymous(void *virt)
+{
+	return __SYSCALL3(SYS_DMAMEM_UNMAP, (sysarg_t) virt, 0,
 	    DMAMEM_FLAGS_ANONYMOUS);
 }
@@ -173,5 +173,5 @@
  *
  */
-static errno_t iospace_enable(task_id_t id, void *ioaddr, size_t size)
+static int iospace_enable(task_id_t id, void *ioaddr, size_t size)
 {
 	const ddi_ioarg_t arg = {
@@ -181,5 +181,5 @@
 	};
 	
-	return (errno_t) __SYSCALL1(SYS_IOSPACE_ENABLE, (sysarg_t) &arg);
+	return __SYSCALL1(SYS_IOSPACE_ENABLE, (sysarg_t) &arg);
 }
 
@@ -197,5 +197,5 @@
  *
  */
-static errno_t iospace_disable(task_id_t id, void *ioaddr, size_t size)
+static int iospace_disable(task_id_t id, void *ioaddr, size_t size)
 {
 	const ddi_ioarg_t arg = {
@@ -205,5 +205,5 @@
 	};
 	
-	return (errno_t) __SYSCALL1(SYS_IOSPACE_DISABLE, (sysarg_t) &arg);
+	return __SYSCALL1(SYS_IOSPACE_DISABLE, (sysarg_t) &arg);
 }
 
@@ -213,5 +213,5 @@
  * @param virt  Virtual address for application's PIO operations. 
  */
-errno_t pio_enable_range(addr_range_t *range, void **virt)
+int pio_enable_range(addr_range_t *range, void **virt)
 {
 	return pio_enable(RNGABSPTR(*range), RNGSZ(*range), virt);
@@ -226,8 +226,8 @@
  *
  * @return EOK on success.
- * @return An error code on failure.
- *
- */
-errno_t pio_enable_resource(pio_window_t *win, hw_resource_t *res, void **virt)
+ * @return Negative error code on failure.
+ *
+ */
+int pio_enable_resource(pio_window_t *win, hw_resource_t *res, void **virt)
 {
 	uintptr_t addr;
@@ -268,8 +268,8 @@
  *
  * @return EOK on success.
- * @return An error code on failure.
- *
- */
-errno_t pio_enable(void *pio_addr, size_t size, void **virt)
+ * @return Negative error code on failure.
+ *
+ */
+int pio_enable(void *pio_addr, size_t size, void **virt)
 {
 #ifdef IO_SPACE_BOUNDARY
@@ -291,5 +291,5 @@
 	
 	void *virt_page = AS_AREA_ANY;
-	errno_t rc = physmem_map(phys_frame, pages,
+	int rc = physmem_map(phys_frame, pages,
 	    AS_AREA_READ | AS_AREA_WRITE, &virt_page);
 	if (rc != EOK)
@@ -306,8 +306,8 @@
  *
  * @return EOK on success.
- * @return An error code on failure.
- *
- */
-errno_t pio_disable(void *virt, size_t size)
+ * @return Negative error code on failure.
+ *
+ */
+int pio_disable(void *virt, size_t size)
 {
 #ifdef IO_SPACE_BOUNDARY
Index: uspace/lib/c/generic/device/clock_dev.c
===================================================================
--- uspace/lib/c/generic/device/clock_dev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/device/clock_dev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,11 +44,11 @@
  * @param t        The current time that will be read from the device
  *
- * @return         EOK on success or an error code
+ * @return         EOK on success or a negative error code
  */
-errno_t
+int
 clock_dev_time_get(async_sess_t *sess, struct tm *t)
 {
 	aid_t req;
-	errno_t ret;
+	int ret;
 
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -60,5 +60,5 @@
 	async_exchange_end(exch);
 
-	errno_t rc;
+	sysarg_t rc;
 	if (ret != EOK) {
 		async_forget(req);
@@ -67,5 +67,5 @@
 
 	async_wait_for(req, &rc);
-	return (errno_t)rc;
+	return (int)rc;
 }
 
@@ -75,11 +75,11 @@
  * @param t      The current time that will be written to the device
  *
- * @return       EOK on success or an error code
+ * @return       EOK on success or a negative error code
  */
-errno_t
+int
 clock_dev_time_set(async_sess_t *sess, struct tm *t)
 {
 	aid_t req;
-	errno_t ret;
+	int ret;
 
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -91,5 +91,5 @@
 	async_exchange_end(exch);
 
-	errno_t rc;
+	sysarg_t rc;
 	if (ret != EOK) {
 		async_forget(req);
@@ -98,5 +98,5 @@
 
 	async_wait_for(req, &rc);
-	return (errno_t)rc;
+	return (int)rc;
 }
 
Index: uspace/lib/c/generic/device/hw_res.c
===================================================================
--- uspace/lib/c/generic/device/hw_res.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/device/hw_res.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,5 @@
 #include <stdlib.h>
 
-errno_t hw_res_get_resource_list(async_sess_t *sess,
+int hw_res_get_resource_list(async_sess_t *sess,
     hw_resource_list_t *hw_resources)
 {
@@ -45,5 +45,5 @@
 	async_exch_t *exch = async_exchange_begin(sess);
 	
-	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	int rc = async_req_1_1(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_GET_RESOURCE_LIST, &count);
 	
@@ -75,9 +75,9 @@
 }
 
-errno_t hw_res_enable_interrupt(async_sess_t *sess, int irq)
+int hw_res_enable_interrupt(async_sess_t *sess, int irq)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
 	
-	errno_t rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	int rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_ENABLE_INTERRUPT, irq);
 	async_exchange_end(exch);
@@ -86,9 +86,9 @@
 }
 
-errno_t hw_res_disable_interrupt(async_sess_t *sess, int irq)
+int hw_res_disable_interrupt(async_sess_t *sess, int irq)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
 	
-	errno_t rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	int rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_DISABLE_INTERRUPT, irq);
 	async_exchange_end(exch);
@@ -97,9 +97,9 @@
 }
 
-errno_t hw_res_clear_interrupt(async_sess_t *sess, int irq)
+int hw_res_clear_interrupt(async_sess_t *sess, int irq)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
 	
-	errno_t rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	int rc = async_req_2_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_CLEAR_INTERRUPT, irq);
 	async_exchange_end(exch);
@@ -122,5 +122,5 @@
  *
  */
-errno_t hw_res_dma_channel_setup(async_sess_t *sess,
+int hw_res_dma_channel_setup(async_sess_t *sess,
     unsigned channel, uint32_t pa, uint32_t size, uint8_t mode)
 {
@@ -128,5 +128,5 @@
 	
 	const uint32_t packed = (channel & 0xffff) | (mode << 16);
-	const errno_t ret = async_req_4_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	const int ret = async_req_4_0(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_DMA_CHANNEL_SETUP, packed, pa, size);
 	
@@ -140,15 +140,14 @@
  * @param channel DMA channel.
  *
- * @param[out] rem Number of bytes remaining in the buffer if positive.
- *
- * @return Error code.
+ * @return Number of bytes remaining in the buffer if positive.
+ * @return Error code if negative.
  *
  */
-errno_t hw_res_dma_channel_remain(async_sess_t *sess, unsigned channel, size_t *rem)
+int hw_res_dma_channel_remain(async_sess_t *sess, unsigned channel)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
 	
 	sysarg_t remain;
-	const errno_t ret = async_req_2_1(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
+	const int ret = async_req_2_1(exch, DEV_IFACE_ID(HW_RES_DEV_IFACE),
 	    HW_RES_DMA_CHANNEL_REMAIN, channel, &remain);
 	
@@ -156,5 +155,5 @@
 	
 	if (ret == EOK)
-		*rem = remain;
+		return remain;
 	
 	return ret;
Index: uspace/lib/c/generic/device/hw_res_parsed.c
===================================================================
--- uspace/lib/c/generic/device/hw_res_parsed.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/device/hw_res_parsed.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -194,5 +194,5 @@
  *
  */
-errno_t hw_res_list_parse(const pio_window_t *win,
+int hw_res_list_parse(const pio_window_t *win,
     const hw_resource_list_t *res, hw_res_list_parsed_t *out, int flags)
 {
@@ -253,9 +253,9 @@
  *
  */
-errno_t hw_res_get_list_parsed(async_sess_t *sess,
+int hw_res_get_list_parsed(async_sess_t *sess,
     hw_res_list_parsed_t *hw_res_parsed, int flags)
 {
 	pio_window_t pio_window;
-	errno_t rc;
+	int rc;
 
 	if (!hw_res_parsed)
Index: uspace/lib/c/generic/device/led_dev.c
===================================================================
--- uspace/lib/c/generic/device/led_dev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/device/led_dev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 #include <device/led_dev.h>
 
-errno_t led_dev_color_set(async_sess_t *sess, pixel_t pixel)
+int led_dev_color_set(async_sess_t *sess, pixel_t pixel)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
@@ -48,8 +48,8 @@
 	async_exchange_end(exch);
 	
-	errno_t rc;
+	sysarg_t rc;
 	async_wait_for(req, &rc);
 	
-	return (errno_t) rc;
+	return (int) rc;
 }
 
Index: uspace/lib/c/generic/device/pio_window.c
===================================================================
--- uspace/lib/c/generic/device/pio_window.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/device/pio_window.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,7 +37,7 @@
 #include <async.h>
 
-errno_t pio_window_get(async_sess_t *sess, pio_window_t *pio_win)
+int pio_window_get(async_sess_t *sess, pio_window_t *pio_win)
 {
-	errno_t rc;
+	int rc;
 
 	async_exch_t *exch = async_exchange_begin(sess);
Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/devman.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -176,5 +176,5 @@
 
 /** Register running driver with device manager. */
-errno_t devman_driver_register(const char *name)
+int devman_driver_register(const char *name)
 {
 	async_exch_t *exch = devman_exchange_begin_blocking(INTERFACE_DDF_DRIVER);
@@ -182,5 +182,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_2(exch, DEVMAN_DRIVER_REGISTER, 0, 0, &answer);
-	errno_t retval = async_data_write_start(exch, name, str_size(name));
+	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
 	
 	devman_exchange_end(exch);
@@ -210,8 +210,8 @@
  * @param funh      Place to store handle of the new function
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t devman_add_function(const char *name, fun_type_t ftype,
+ * @return EOK on success or negative error code.
+ *
+ */
+int devman_add_function(const char *name, fun_type_t ftype,
     match_id_list_t *match_ids, devman_handle_t devh, devman_handle_t *funh)
 {
@@ -222,5 +222,5 @@
 	aid_t req = async_send_3(exch, DEVMAN_ADD_FUNCTION, (sysarg_t) ftype,
 	    devh, match_count, &answer);
-	errno_t retval = async_data_write_start(exch, name, str_size(name));
+	sysarg_t retval = async_data_write_start(exch, name, str_size(name));
 	if (retval != EOK) {
 		devman_exchange_end(exch);
@@ -264,5 +264,5 @@
 }
 
-errno_t devman_add_device_to_category(devman_handle_t devman_handle,
+int devman_add_device_to_category(devman_handle_t devman_handle,
     const char *cat_name)
 {
@@ -272,5 +272,5 @@
 	aid_t req = async_send_1(exch, DEVMAN_ADD_DEVICE_TO_CATEGORY,
 	    devman_handle, &answer);
-	errno_t retval = async_data_write_start(exch, cat_name,
+	sysarg_t retval = async_data_write_start(exch, cat_name,
 	    str_size(cat_name));
 	
@@ -305,10 +305,10 @@
  * @param funh      Devman handle of the function
  *
- * @return EOK on success or an error code.
- */
-errno_t devman_remove_function(devman_handle_t funh)
+ * @return EOK on success or negative error code.
+ */
+int devman_remove_function(devman_handle_t funh)
 {
 	async_exch_t *exch;
-	errno_t retval;
+	sysarg_t retval;
 	
 	exch = devman_exchange_begin_blocking(INTERFACE_DDF_DRIVER);
@@ -316,8 +316,8 @@
 	devman_exchange_end(exch);
 	
-	return retval;
-}
-
-errno_t devman_drv_fun_online(devman_handle_t funh)
+	return (int) retval;
+}
+
+int devman_drv_fun_online(devman_handle_t funh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_DRIVER);
@@ -325,11 +325,11 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_ONLINE, funh);
-	
-	devman_exchange_end(exch);
-	return retval;
-}
-
-errno_t devman_drv_fun_offline(devman_handle_t funh)
+	sysarg_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_ONLINE, funh);
+	
+	devman_exchange_end(exch);
+	return (int) retval;
+}
+
+int devman_drv_fun_offline(devman_handle_t funh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_DRIVER);
@@ -337,8 +337,8 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_OFFLINE, funh);
-	
-	devman_exchange_end(exch);
-	return retval;
+	sysarg_t retval = async_req_1_0(exch, DEVMAN_DRV_FUN_OFFLINE, funh);
+	
+	devman_exchange_end(exch);
+	return (int) retval;
 }
 
@@ -358,5 +358,5 @@
 }
 
-errno_t devman_fun_get_handle(const char *pathname, devman_handle_t *handle,
+int devman_fun_get_handle(const char *pathname, devman_handle_t *handle,
     unsigned int flags)
 {
@@ -374,5 +374,5 @@
 	aid_t req = async_send_2(exch, DEVMAN_DEVICE_GET_HANDLE, flags, 0,
 	    &answer);
-	errno_t retval = async_data_write_start(exch, pathname,
+	sysarg_t retval = async_data_write_start(exch, pathname,
 	    str_size(pathname));
 	
@@ -399,5 +399,5 @@
 }
 
-static errno_t devman_get_str_internal(sysarg_t method, sysarg_t arg1,
+static int devman_get_str_internal(sysarg_t method, sysarg_t arg1,
     sysarg_t arg2, sysarg_t *r1, char *buf, size_t buf_size)
 {
@@ -405,5 +405,5 @@
 	ipc_call_t dreply;
 	size_t act_size;
-	errno_t dretval;
+	sysarg_t dretval;
 	
 	exch = devman_exchange_begin_blocking(INTERFACE_DDF_CLIENT);
@@ -421,5 +421,5 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
@@ -437,5 +437,5 @@
 }
 
-errno_t devman_fun_get_path(devman_handle_t handle, char *buf, size_t buf_size)
+int devman_fun_get_path(devman_handle_t handle, char *buf, size_t buf_size)
 {
 	return devman_get_str_internal(DEVMAN_FUN_GET_PATH, handle, 0, NULL,
@@ -443,8 +443,8 @@
 }
 
-errno_t devman_fun_get_match_id(devman_handle_t handle, size_t index, char *buf,
+int devman_fun_get_match_id(devman_handle_t handle, size_t index, char *buf,
     size_t buf_size, unsigned int *rscore)
 {
-	errno_t rc;
+	int rc;
 	sysarg_t score = 0;
 
@@ -458,5 +458,5 @@
 }
 
-errno_t devman_fun_get_name(devman_handle_t handle, char *buf, size_t buf_size)
+int devman_fun_get_name(devman_handle_t handle, char *buf, size_t buf_size)
 {
 	return devman_get_str_internal(DEVMAN_FUN_GET_NAME, handle, 0, NULL,
@@ -464,5 +464,5 @@
 }
 
-errno_t devman_fun_get_driver_name(devman_handle_t handle, char *buf, size_t buf_size)
+int devman_fun_get_driver_name(devman_handle_t handle, char *buf, size_t buf_size)
 {
 	return devman_get_str_internal(DEVMAN_FUN_GET_DRIVER_NAME, handle, 0,
@@ -470,5 +470,5 @@
 }
 
-errno_t devman_fun_online(devman_handle_t funh)
+int devman_fun_online(devman_handle_t funh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -476,11 +476,11 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_0(exch, DEVMAN_FUN_ONLINE, funh);
-	
-	devman_exchange_end(exch);
-	return retval;
-}
-
-errno_t devman_fun_offline(devman_handle_t funh)
+	sysarg_t retval = async_req_1_0(exch, DEVMAN_FUN_ONLINE, funh);
+	
+	devman_exchange_end(exch);
+	return (int) retval;
+}
+
+int devman_fun_offline(devman_handle_t funh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -488,11 +488,11 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_0(exch, DEVMAN_FUN_OFFLINE, funh);
-	
-	devman_exchange_end(exch);
-	return retval;
-}
-
-static errno_t devman_get_handles_once(sysarg_t method, sysarg_t arg1,
+	sysarg_t retval = async_req_1_0(exch, DEVMAN_FUN_OFFLINE, funh);
+	
+	devman_exchange_end(exch);
+	return (int) retval;
+}
+
+static int devman_get_handles_once(sysarg_t method, sysarg_t arg1,
     devman_handle_t *handle_buf, size_t buf_size, size_t *act_size)
 {
@@ -501,5 +501,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, method, arg1, &answer);
-	errno_t rc = async_data_read_start(exch, handle_buf, buf_size);
+	int rc = async_data_read_start(exch, handle_buf, buf_size);
 	
 	devman_exchange_end(exch);
@@ -510,5 +510,5 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
@@ -529,7 +529,7 @@
  * @param data		Place to store pointer to array of handles
  * @param count		Place to store number of handles
- * @return 		EOK on success or an error code
- */
-static errno_t devman_get_handles_internal(sysarg_t method, sysarg_t arg1,
+ * @return 		EOK on success or negative error code
+ */
+static int devman_get_handles_internal(sysarg_t method, sysarg_t arg1,
     devman_handle_t **data, size_t *count)
 {
@@ -537,5 +537,5 @@
 	size_t act_size;
 	size_t alloc_size;
-	errno_t rc;
+	int rc;
 
 	*data = NULL;
@@ -574,5 +574,5 @@
 }
 
-errno_t devman_fun_get_child(devman_handle_t funh, devman_handle_t *devh)
+int devman_fun_get_child(devman_handle_t funh, devman_handle_t *devh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -580,12 +580,12 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_1(exch, DEVMAN_FUN_GET_CHILD,
+	sysarg_t retval = async_req_1_1(exch, DEVMAN_FUN_GET_CHILD,
 	    funh, devh);
 	
 	devman_exchange_end(exch);
-	return retval;
-}
-
-errno_t devman_dev_get_functions(devman_handle_t devh, devman_handle_t **funcs,
+	return (int) retval;
+}
+
+int devman_dev_get_functions(devman_handle_t devh, devman_handle_t **funcs,
     size_t *count)
 {
@@ -594,5 +594,5 @@
 }
 
-errno_t devman_dev_get_parent(devman_handle_t devh, devman_handle_t *funh)
+int devman_dev_get_parent(devman_handle_t devh, devman_handle_t *funh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -600,12 +600,12 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_1(exch, DEVMAN_DEV_GET_PARENT,
+	sysarg_t retval = async_req_1_1(exch, DEVMAN_DEV_GET_PARENT,
 	    devh, funh);
 	
 	devman_exchange_end(exch);
-	return retval;
-}
-
-errno_t devman_fun_sid_to_handle(service_id_t sid, devman_handle_t *handle)
+	return (int) retval;
+}
+
+int devman_fun_sid_to_handle(service_id_t sid, devman_handle_t *handle)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -613,12 +613,12 @@
 		return ENOMEM;
 	
-	errno_t retval = async_req_1_1(exch, DEVMAN_FUN_SID_TO_HANDLE,
+	sysarg_t retval = async_req_1_1(exch, DEVMAN_FUN_SID_TO_HANDLE,
 	    sid, handle);
 	
 	devman_exchange_end(exch);
-	return retval;
-}
-
-errno_t devman_get_drivers(devman_handle_t **drvs,
+	return (int) retval;
+}
+
+int devman_get_drivers(devman_handle_t **drvs,
     size_t *count)
 {
@@ -626,5 +626,5 @@
 }
 
-errno_t devman_driver_get_devices(devman_handle_t drvh, devman_handle_t **devs,
+int devman_driver_get_devices(devman_handle_t drvh, devman_handle_t **devs,
     size_t *count)
 {
@@ -633,5 +633,5 @@
 }
 
-errno_t devman_driver_get_handle(const char *drvname, devman_handle_t *handle)
+int devman_driver_get_handle(const char *drvname, devman_handle_t *handle)
 {
 	async_exch_t *exch;
@@ -643,5 +643,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, DEVMAN_DRIVER_GET_HANDLE, &answer);
-	errno_t retval = async_data_write_start(exch, drvname,
+	sysarg_t retval = async_data_write_start(exch, drvname,
 	    str_size(drvname));
 	
@@ -668,8 +668,8 @@
 }
 
-errno_t devman_driver_get_match_id(devman_handle_t handle, size_t index, char *buf,
+int devman_driver_get_match_id(devman_handle_t handle, size_t index, char *buf,
     size_t buf_size, unsigned int *rscore)
 {
-	errno_t rc;
+	int rc;
 	sysarg_t score = 0;
 
@@ -683,5 +683,5 @@
 }
 
-errno_t devman_driver_get_name(devman_handle_t handle, char *buf, size_t buf_size)
+int devman_driver_get_name(devman_handle_t handle, char *buf, size_t buf_size)
 {
 	return devman_get_str_internal(DEVMAN_DRIVER_GET_NAME, handle, 0, NULL,
@@ -689,5 +689,5 @@
 }
 
-errno_t devman_driver_get_state(devman_handle_t drvh, driver_state_t *rstate)
+int devman_driver_get_state(devman_handle_t drvh, driver_state_t *rstate)
 {
 	sysarg_t state;
@@ -696,5 +696,5 @@
 		return ENOMEM;
 	
-	errno_t rc = async_req_1_1(exch, DEVMAN_DRIVER_GET_STATE, drvh,
+	int rc = async_req_1_1(exch, DEVMAN_DRIVER_GET_STATE, drvh,
 	    &state);
 	
@@ -707,5 +707,5 @@
 }
 
-errno_t devman_driver_load(devman_handle_t drvh)
+int devman_driver_load(devman_handle_t drvh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -713,5 +713,5 @@
 		return ENOMEM;
 	
-	errno_t rc = async_req_1_0(exch, DEVMAN_DRIVER_LOAD, drvh);
+	int rc = async_req_1_0(exch, DEVMAN_DRIVER_LOAD, drvh);
 	
 	devman_exchange_end(exch);
@@ -719,5 +719,5 @@
 }
 
-errno_t devman_driver_unload(devman_handle_t drvh)
+int devman_driver_unload(devman_handle_t drvh)
 {
 	async_exch_t *exch = devman_exchange_begin(INTERFACE_DDF_CLIENT);
@@ -725,5 +725,5 @@
 		return ENOMEM;
 	
-	errno_t rc = async_req_1_0(exch, DEVMAN_DRIVER_UNLOAD, drvh);
+	int rc = async_req_1_0(exch, DEVMAN_DRIVER_UNLOAD, drvh);
 	
 	devman_exchange_end(exch);
Index: uspace/lib/c/generic/dhcp.c
===================================================================
--- uspace/lib/c/generic/dhcp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/dhcp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,8 +44,8 @@
 static async_sess_t *dhcp_sess = NULL;
 
-errno_t dhcp_init(void)
+int dhcp_init(void)
 {
 	service_id_t dhcp_svc;
-	errno_t rc;
+	int rc;
 
 	assert(dhcp_sess == NULL);
@@ -64,9 +64,9 @@
 }
 
-errno_t dhcp_link_add(sysarg_t link_id)
+int dhcp_link_add(sysarg_t link_id)
 {
 	async_exch_t *exch = async_exchange_begin(dhcp_sess);
 
-	errno_t rc = async_req_1_0(exch, DHCP_LINK_ADD, link_id);
+	int rc = async_req_1_0(exch, DHCP_LINK_ADD, link_id);
 	async_exchange_end(exch);
 
@@ -74,9 +74,9 @@
 }
 
-errno_t dhcp_link_remove(sysarg_t link_id)
+int dhcp_link_remove(sysarg_t link_id)
 {
 	async_exch_t *exch = async_exchange_begin(dhcp_sess);
 
-	errno_t rc = async_req_1_0(exch, DHCP_LINK_REMOVE, link_id);
+	int rc = async_req_1_0(exch, DHCP_LINK_REMOVE, link_id);
 	async_exchange_end(exch);
 
@@ -84,9 +84,9 @@
 }
 
-errno_t dhcp_discover(sysarg_t link_id)
+int dhcp_discover(sysarg_t link_id)
 {
 	async_exch_t *exch = async_exchange_begin(dhcp_sess);
 
-	errno_t rc = async_req_1_0(exch, DHCP_DISCOVER, link_id);
+	int rc = async_req_1_0(exch, DHCP_DISCOVER, link_id);
 	async_exchange_end(exch);
 
